ignite-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ra...@apache.org
Subject [1/3] ignite git commit: IGNITE-1270 Implement basic support for OSGi.
Date Thu, 03 Dec 2015 14:44:30 GMT
Repository: ignite
Updated Branches:
  refs/heads/ignite-1.5 5beed16e3 -> 96e080277


http://git-wip-us.apache.org/repos/asf/ignite/blob/96e08027/parent/pom.xml
----------------------------------------------------------------------
diff --git a/parent/pom.xml b/parent/pom.xml
index a7ae644..4fd7156 100644
--- a/parent/pom.xml
+++ b/parent/pom.xml
@@ -35,15 +35,87 @@
 
     <properties>
         <ignite.edition>fabric</ignite.edition>
-        <hadoop.version>2.4.1</hadoop.version>
-        <spark.version>1.5.2</spark.version>
-        <spring.version>4.1.0.RELEASE</spring.version>
+
+        <!-- Build parameters. -->
         <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
         <maven.build.timestamp.format>MMMM d yyyy</maven.build.timestamp.format>
         <doxygen.exec>doxygen</doxygen.exec>
         <git.exec>git</git.exec>
-        <jetty.version>9.2.11.v20150529</jetty.version>
+        <maven.bundle.plugin.version>2.5.4</maven.bundle.plugin.version>
         <javadoc.opts>-XDenableSunApiLintControl</javadoc.opts>
+
+        <!-- Dependency versions. -->
+        <activemq.version>5.12.0</activemq.version>
+        <aopalliance.bundle.version>1.0_6</aopalliance.bundle.version>
+        <asm.version>4.2</asm.version>
+        <aspectj.bundle.version>1.7.2_1</aspectj.bundle.version>
+        <aspectj.version>1.7.2</aspectj.version>
+        <aws.sdk.bundle.version>1.10.12_1</aws.sdk.bundle.version>
+        <aws.sdk.version>1.10.29</aws.sdk.version>
+        <camel.version>2.16.0</camel.version>
+        <commons.beanutils.bundle.version>1.8.3_1</commons.beanutils.bundle.version>
+        <commons.beanutils.version>1.8.3</commons.beanutils.version>
+        <commons.codec.version>1.6</commons.codec.version>
+        <commons.collections.version>3.2.1</commons.collections.version>
+        <commons.lang.version>2.6</commons.lang.version>
+        <cron4j.version>2.2.5</cron4j.version>
+        <curator.version>2.9.1</curator.version>
+        <ezmorph.bundle.version>1.0.6_1</ezmorph.bundle.version>
+        <ezmorph.version>1.0.6</ezmorph.version>
+        <flume.ng.version>1.6.0</flume.ng.version>
+        <guava.retrying.version>2.0.0</guava.retrying.version>
+        <guava.version>18.0</guava.version>
+        <guava14.version>14.0.1</guava14.version>
+        <guava16.version>16.0.1</guava16.version>
+        <h2.version>1.3.175</h2.version>
+        <hadoop.version>2.4.1</hadoop.version>
+        <httpclient.version>4.5.1</httpclient.version>
+        <httpcore.version>4.4.3</httpcore.version>
+        <jackson.version>1.9.13</jackson.version>
+        <javax.cache.bundle.version>1.0.0_1</javax.cache.bundle.version>
+        <javax.cache.version>1.0.0</javax.cache.version>
+        <jetty.version>9.2.11.v20150529</jetty.version>
+        <jms.spec.version>1.1.1</jms.spec.version>
+        <jsch.bundle.version>0.1.53_1</jsch.bundle.version>
+        <jsch.version>0.1.53</jsch.version>
+        <jsonlib.bundle.version>2.4_1</jsonlib.bundle.version>
+        <jsonlib.version>2.4</jsonlib.version>
+        <jtidy.version>r938</jtidy.version>
+        <kafka.bundle.version>0.8.2.1_1</kafka.bundle.version>
+        <kafka.clients.bundle.version>0.8.2.0_1</kafka.clients.bundle.version>
+        <kafka.clients.version>0.8.2.0</kafka.clients.version>
+        <kafka.version>0.8.2.1</kafka.version>
+        <kafka.version>0.8.2.1</kafka.version>
+        <karaf.version>4.0.2</karaf.version>
+        <lucene.bundle.version>3.5.0_1</lucene.bundle.version>
+        <lucene.version>3.5.0</lucene.version>
+        <oro.bundle.version>2.0.8_6</oro.bundle.version>
+        <osgi.core.version>5.0.0</osgi.core.version>
+        <osgi.enterprise.version>5.0.0</osgi.enterprise.version>
+        <paho.version>1.0.2</paho.version>
+        <scala210.jline.version>2.10.4</scala210.jline.version>
+        <scala210.library.version>2.10.4</scala210.library.version>
+        <scala211.library.version>2.11.7</scala211.library.version>
+        <slf4j.version>1.7.7</slf4j.version>
+        <slf4j16.version>1.6.4</slf4j16.version>
+        <spark.version>1.5.2</spark.version>
+        <spring.version>4.1.0.RELEASE</spring.version>
+        <spring41.osgi.feature.version>4.1.7.RELEASE_1</spring41.osgi.feature.version>
+        <tomcat.version>8.0.23</tomcat.version>
+        <twitter.hbc.version>2.2.0</twitter.hbc.version>
+        <yammer.metrics.annotation.version>2.2.0</yammer.metrics.annotation.version>
+        <yammer.metrics.core.version>2.2.0</yammer.metrics.core.version>
+        <zkclient.version>0.5</zkclient.version>
+        <zookeeper.version>3.4.6</zookeeper.version>
+
+        <!-- OSGI Manifest generation default property values -->
+        <osgi.import.package>*</osgi.import.package>
+        <osgi.export.package>{local-packages}</osgi.export.package>
+        <osgi.private.package></osgi.private.package>
+        <osgi.embed.dependency></osgi.embed.dependency>
+        <osgi.embed.transitive>false</osgi.embed.transitive>
+        <osgi.fail.ok>false</osgi.fail.ok>
+
     </properties>
 
     <groupId>org.apache.ignite</groupId>
@@ -182,6 +254,15 @@
                         </execution>
                     </executions>
                 </plugin>
+
+                <plugin>
+                    <groupId>org.apache.maven.plugins</groupId>
+                    <artifactId>maven-jar-plugin</artifactId>
+                    <configuration>
+                        <useDefaultManifestFile>true</useDefaultManifestFile>
+                    </configuration>
+                </plugin>
+
                 <plugin>
                     <groupId>org.apache.maven.plugins</groupId>
                     <artifactId>maven-javadoc-plugin</artifactId>
@@ -402,6 +483,52 @@
                         </bottom>
                     </configuration>
                 </plugin>
+
+                <plugin>
+                    <groupId>org.apache.felix</groupId>
+                    <artifactId>maven-bundle-plugin</artifactId>
+                    <version>${maven.bundle.plugin.version}</version>
+                    <extensions>true</extensions>
+                    <configuration>
+                        <archive>
+                            <addMavenDescriptor>true</addMavenDescriptor>
+                        </archive>
+                        <supportedProjectTypes>
+                            <supportedProjectType>jar</supportedProjectType>
+                            <supportedProjectType>war</supportedProjectType>
+                        </supportedProjectTypes>
+                        <instructions>
+                            <Bundle-SymbolicName>${project.groupId}.${project.artifactId}</Bundle-SymbolicName>
+                            <Bundle-Version>${project.version}</Bundle-Version>
+                            <Bundle-Vendor>${project.organization.name}</Bundle-Vendor>
+                            <Bundle-Description>${project.description}</Bundle-Description>
+                            <Bundle-DocURL>${project.url}</Bundle-DocURL>
+                            <Import-Package>
+                                ${osgi.import.package}
+                            </Import-Package>
+                            <Export-Package>
+                                ${osgi.export.package}
+                            </Export-Package>
+                            <Private-Package>
+                                ${osgi.private.package}
+                            </Private-Package>
+                            <Embed-Dependency>${osgi.embed.dependency}</Embed-Dependency>
+                            <Embed-Directory>lib</Embed-Directory>
+                            <Embed-Transitive>${osgi.embed.transitive}</Embed-Transitive>
+                            <_failok>${osgi.fail.ok}</_failok>
+                            <_invalidfilenames />
+                        </instructions>
+                    </configuration>
+                    <executions>
+                        <execution>
+                            <id>bundle-manifest</id>
+                            <phase>process-classes</phase>
+                            <goals>
+                                <goal>manifest</goal>
+                            </goals>
+                        </execution>
+                    </executions>
+                </plugin>
             </plugins>
         </pluginManagement>
 
@@ -625,6 +752,7 @@
                     </execution>
                 </executions>
             </plugin>
+
         </plugins>
     </build>
 

http://git-wip-us.apache.org/repos/asf/ignite/blob/96e08027/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 5f86648..993eab2 100644
--- a/pom.xml
+++ b/pom.xml
@@ -80,6 +80,9 @@
         <module>modules/mqtt</module>
         <module>modules/zookeeper</module>
         <module>modules/camel</module>
+        <module>modules/osgi-paxlogging</module>
+        <module>modules/osgi-karaf</module>
+        <module>modules/osgi</module>
     </modules>
 
     <profiles>


Mime
View raw message